import { ArmorManager } from "../../libraries/ArmorManager";
const Armor = new ArmorManager(/lua_ma:lua_ma_(\D*_)?(assassin|viking|conquistador_(chestplate|leggings)|pawn_boots|padded_chainmail_(chestplate|boots)|spartan_leggings)/);
const Countdown = new Map();
Armor.registerTick('ExtingishFire', [], (player, pieces) => {
    if (!player.hasComponent('onfire'))
        return Countdown.delete(player.id);
    const armor = Object.keys(pieces).reduce((a, b) => b.match(Armor.id_) ? a + 1 : a, 0);
    if (!Countdown.has(player.id))
        return Countdown.set(player.id, 20 * (5 - armor));
    ;
    const time = Countdown.get(player.id);
    if (time > 0)
        return Countdown.set(player.id, time - 1);
    player.extinguishFire(true);
});
