import { EquipmentSlot } from "@minecraft/server";
import { WeaponManager } from "../../libraries/WeaponManager";
const Claymore = new WeaponManager(/lua_ma:(\D*_)?claymore/);
// Claymore.registerTick('Slow hand', (player) => {
//     const block = player.getBlockFromViewDirection({ includeTypes: ['minecraft:web'] });
//     if (block) return;
//     player.addEffect('mining_fatigue', 10, { showParticles: false, amplifier: 5 });
// });
Claymore.registerAttack('Less damage with shield', (player, target, _, damage) => {
    const offhand = player.equippable.getEquipment(EquipmentSlot.Offhand);
    if (!offhand)
        return;
    const health = target.health;
    if (health.currentValue <= 0)
        return;
    health.setCurrentValue(health.currentValue + 1);
});
Claymore.registerTick('Two handed animation', (player) => {
    if (player.equippable.getEquipment(EquipmentSlot.Offhand))
        return;
    player.playAnimation('animation.lua_ma.heavy_sword_tp');
});
