import { EntityDamageCause } from "@minecraft/server";
import { WeaponManager } from "../../libraries/WeaponManager";
const Dagger = new WeaponManager(/lua_ma:(\D*_)?dagger/);
Dagger.registerAttack('Random Critic', (player, target, _item, damage) => {
    if (Math.random() > 40)
        return;
    target.applyDamage(damage, {
        cause: EntityDamageCause.override,
        damagingEntity: player
    });
});
// Dagger.addEffect('speed', { amplifier: 1 });
