import { EntityDamageCause } from "@minecraft/server";
import { WeaponManager } from "../../libraries/WeaponManager";
const Sword = new WeaponManager(/lua_ma:(\D*_)?shortsword/);
Sword.registerAttack('Random Critic', (player, target, _item, damage) => {
    if (Math.random() > 10)
        return;
    target.applyDamage(damage, {
        cause: EntityDamageCause.override,
        damagingEntity: player
    });
});
