export const Main = {
    id: 'main',
    lines: 0,
    item: 'lua_ma:guide_book',
    buttons: [
        {
            translate: 'lua_ma.guide_book.buttons.description',
            redirect: 'description',
            icon: 'textures/ui/icon_sign'
        },
    ],
    onOpenSound: 'note.bit',
    onCloseSound: 'note.flute',
};
import Description from "./Description";
const Forms = Array.from([[Main], Description].flat());
export default new Map(Forms.map(f => [f.id, f]));
