import { EntityDamageCause } from "@minecraft/server";
import { WeaponManager } from "../../libraries/WeaponManager";
const Lance = new WeaponManager(/lua_ma:(\D*_)?lance/);
Lance.registerAttack('Damage on Speed', (player, target, _, damage) => {
    if (!player.isSprinting)
        return;
    target.applyDamage(damage, {
        cause: EntityDamageCause.override,
        damagingEntity: player,
    });
});
