import { EntityDamageCause } from "@minecraft/server";
import { WeaponManager } from "../../libraries/WeaponManager";
const Sai = new WeaponManager(/lua_ma:(\D*_)?sai/);
Sai.registerHit('Random Block Hit', (player, _, __, damage, cause) => {
    if (!damage || cause !== EntityDamageCause.entityAttack || Math.random() > 40)
        return;
    const health = player.health;
    if (health.currentValue <= 0)
        return;
    health.setCurrentValue(health.currentValue + damage);
});
